cascading.tap.local.io

## Class TapFileOutputStream

- java.lang.Object
- - java.io.OutputStream
  - - java.io.FileOutputStream
    - - cascading.tap.local.io.TapFileOutputStream

All Implemented Interfaces:
  java.io.Closeable, java.io.Flushable, java.lang.AutoCloseable

    public class TapFileOutputStream
    extends java.io.FileOutputStream

### Constructor Summary

Constructors
Constructor and Description
`TapFileOutputStream(java.lang.String path, boolean append)`
`TapFileOutputStream(Tap parent, java.lang.String path, boolean update)`

### Method Summary

### Methods inherited from class java.io.FileOutputStream

`close, finalize, getChannel, getFD, write, write, write`

### Methods inherited from class java.io.OutputStream

`flush`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TapFileOutputStream

    public TapFileOutputStream(java.lang.String path,
                       boolean append)
                        throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`

#### TapFileOutputStream

    public TapFileOutputStream(Tap parent,
                       java.lang.String path,
                       boolean update)
                        throws java.io.FileNotFoundException

Throws:
  `java.io.FileNotFoundException`